Last Comment Bug 713132 - Make packager.pm missing file warnings fatal on Firefox
: Make packager.pm missing file warnings fatal on Firefox
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: P1 enhancement (vote)
: Firefox 14
Assigned To: Serge Gautherie (:sgautherie)
:
:
Mentors:
: 736544 (view as bug list)
Depends on: 515374 652297 694353 712528 716397 717491 718324 721535 735810 736739 736770 737301 737821 739132 743428
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-22 15:33 PST by Siddharth Agarwal [:sid0] (inactive)
Modified: 2012-06-11 08:03 PDT (History)
11 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
wontfix


Attachments
(Av1) Make packager.pm missing file warnings fatal on Firefox [Checked in: Comment 16] (622 bytes, patch)
2012-01-12 09:34 PST, Serge Gautherie (:sgautherie)
khuey: review+
akeybl: approval‑mozilla‑aurora-
akeybl: approval‑mozilla‑beta-
Details | Diff | Splinter Review

Description Siddharth Agarwal [:sid0] (inactive) 2011-12-22 15:33:03 PST
To do this, we need to clean up browser/installer/package-manifest.in, then set MOZ_PKG_FATAL_WARNINGS = 1 before including packager.mk in browser/installer/Makefile.in.
Comment 1 Serge Gautherie (:sgautherie) 2012-01-12 09:34:30 PST
Created attachment 588077 [details] [diff] [review]
(Av1) Make packager.pm missing file warnings fatal on Firefox
[Checked in: Comment 16]

Let's prepare for when (new!) blockers are fixed.
Comment 2 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2012-01-15 09:56:36 PST
Comment on attachment 588077 [details] [diff] [review]
(Av1) Make packager.pm missing file warnings fatal on Firefox
[Checked in: Comment 16]

Review of attachment 588077 [details] [diff] [review]:
-----------------------------------------------------------------

Assuming this passes on try, r=me.

Thanks for doing this.
Comment 3 Serge Gautherie (:sgautherie) 2012-01-15 12:55:41 PST
(In reply to Kyle Huey [:khuey] (khuey@mozilla.com) from comment #2)
> Assuming this passes on try

Exactly what I had in progress ;-)
https://tbpl.mozilla.org/?tree=Try&rev=0f7ff1139bde
Comment 4 Serge Gautherie (:sgautherie) 2012-03-14 15:22:07 PDT
(In reply to Serge Gautherie (:sgautherie) from comment #3)
> https://tbpl.mozilla.org/?tree=Try&rev=0f7ff1139bde

Succeeded again on Try:
https://tbpl.mozilla.org/?tree=Try&rev=acbbd1d961eb
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-03-15 16:50:18 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/a0fa92215a36
Comment 6 Marco Bonardo [::mak] 2012-03-16 06:30:07 PDT
https://hg.mozilla.org/mozilla-central/rev/a0fa92215a36
Comment 7 Serge Gautherie (:sgautherie) 2012-03-16 09:54:08 PDT
https://tbpl.mozilla.org/?rev=7f540f758671

Win opt, Win pgo, Win debug, Win64 opt and Win64 pgo succeeded.

V.Fixed
Comment 8 Serge Gautherie (:sgautherie) 2012-03-16 09:55:21 PDT
(In reply to Serge Gautherie (:sgautherie) from comment #7)
> Win opt, Win pgo, Win debug, Win64 opt and Win64 pgo succeeded.

All builds succeeded: that comment was related to bug 712528...
Comment 9 Serge Gautherie (:sgautherie) 2012-03-16 10:00:18 PDT
Comment on attachment 588077 [details] [diff] [review]
(Av1) Make packager.pm missing file warnings fatal on Firefox
[Checked in: Comment 16]

[Approval Request Comment]
Regression caused by (bug #): (enhancement)
User impact if declined: None, but these warnings (usually) remain unnoticed.
Testing completed (on m-c, etc.): try, m-i, m-c.
Risk to taking this patch (and alternatives if risky): None, buildtime-only.
String changes made by this patch: None.
Comment 10 Bob Clary [:bc:] 2012-03-17 09:46:59 PDT
See bug 736739 where this breaks packaging on official builds.
Comment 11 Bob Clary [:bc:] 2012-03-17 10:17:25 PDT
(In reply to Bob Clary [:bc:] from comment #10)
> See bug 736739 where this breaks packaging on official builds.

This was wrong as the bug is with --disable-installer builds. thanks to khuey for the identification.
Comment 12 Phil Ringnalda (:philor) 2012-03-17 12:08:50 PDT
Backed out in https://hg.mozilla.org/mozilla-central/rev/da5e8f6a44bd

We build RPM nightlies which build with --disable-updater, which was also broken by this.
Comment 13 Serge Gautherie (:sgautherie) 2012-03-17 13:10:59 PDT
(In reply to Phil Ringnalda (:philor) from comment #12)
> We build RPM nightlies which build with --disable-updater, which was also
> broken by this.

I filed bug 736770, thanks to khuey who gave some missing details.
Comment 14 Mike Pesce (:By-Tor) 2012-03-17 15:58:20 PDT
*** Bug 736544 has been marked as a duplicate of this bug. ***
Comment 15 Serge Gautherie (:sgautherie) 2012-03-18 00:52:29 PDT
Ftr,
https://tbpl.mozilla.org/?tree=Try&rev=a01ca126fa5c
succeeded with --disable-crashreporter .
(package-manifest.in has an '#ifdef MOZ_CRASHREPORTER' ;-))
Comment 16 Serge Gautherie (:sgautherie) 2012-03-18 10:11:41 PDT
Comment on attachment 588077 [details] [diff] [review]
(Av1) Make packager.pm missing file warnings fatal on Firefox
[Checked in: Comment 16]

https://hg.mozilla.org/mozilla-central/rev/cc552c8892cc
Comment 17 Serge Gautherie (:sgautherie) 2012-03-18 11:35:08 PDT
https://tbpl.mozilla.org/?onlyunstarred=1&rev=cc552c8892cc

V.Fixed
Comment 18 Serge Gautherie (:sgautherie) 2012-03-19 20:10:18 PDT
*** Bug 736544 has been marked as a duplicate of this bug. ***
Comment 19 Octoploid 2012-03-20 06:39:53 PDT
With my mozconfig I get:

Warning: package error or possible missing or unnecessary file: bin/libnspr4.so (package-manifest, 33).
Warning: package error or possible missing or unnecessary file: bin/libplc4.so (package-manifest, 34).
Warning: package error or possible missing or unnecessary file: bin/libplds4.so (package-manifest, 35)
Warning: package error or possible missing or unnecessary file: bin/components/necko_wifi.xpt (package-manifest, 146).
Warning: package error or possible missing or unnecessary file: bin/components/nsSafebrowsingApplication.manifest (package-manifest, 311).
Warning: package error or possible missing or unnecessary file: bin/components/nsSafebrowsingApplication.js (package-manifest, 312).
Warning: package error or possible missing or unnecessary file: bin/components/nsURLClassifier.manifest (package-manifest, 313).
Warning: package error or possible missing or unnecessary file: bin/components/nsUrlClassifierHashCompleter.js (package-manifest, 314).
Warning: package error or possible missing or unnecessary file: bin/components/nsUrlClassifierListManager.js (package-manifest, 315).
Warning: package error or possible missing or unnecessary file: bin/components/nsUrlClassifierLib.js (package-manifest, 316).
Warning: package error or possible missing or unnecessary file: bin/components/url-classifier.xpt (package-manifest, 317).
Warning: package error or possible missing or unnecessary file: bin/libfreebl3.so (package-manifest, 394).
Warning: package error or possible missing or unnecessary file: bin/libnss3.so (package-manifest, 395).
Warning: package error or possible missing or unnecessary file: bin/libnssckbi.so (package-manifest, 396).
Warning: package error or possible missing or unnecessary file: bin/libnssdbm3.so (package-manifest, 397).
Warning: package error or possible missing or unnecessary file: bin/libnssutil3.so (package-manifest, 398).
Warning: package error or possible missing or unnecessary file: bin/libsmime3.so (package-manifest, 399).
Warning: package error or possible missing or unnecessary file: bin/libsoftokn3.so (package-manifest, 400).
Warning: package error or possible missing or unnecessary file: bin/libssl3.so (package-manifest, 401).

Wouldn't it have been wiser to make the missing file warnings fatal _after_ 
testing confirmed that nothing is broken accidentally?
Comment 20 Serge Gautherie (:sgautherie) 2012-03-20 06:50:14 PDT
(In reply to Octoploid from comment #19)

> With my mozconfig I get:

Please don't spam this bug: file a blocking one for each option and related failures.

> Wouldn't it have been wiser to make the missing file warnings fatal _after_ 
> testing confirmed that nothing is broken accidentally?

Are you volunteering to do that testing?
Comment 21 Octoploid 2012-03-20 07:02:00 PDT
(In reply to Serge Gautherie (:sgautherie) from comment #20)
> (In reply to Octoploid from comment #19)
> 
> > With my mozconfig I get:
> 
> Please don't spam this bug: file a blocking one for each option and related
> failures.

Reporting build failures caused by your patch is not spam. Asking me to sort
through the mess you have created is naive.

> > Wouldn't it have been wiser to make the missing file warnings fatal _after_ 
> > testing confirmed that nothing is broken accidentally?
> 
> Are you volunteering to do that testing?

I just did that testing and reported my findings above.
Comment 22 Alex Keybl [:akeybl] 2012-03-20 09:56:05 PDT
Comment on attachment 588077 [details] [diff] [review]
(Av1) Make packager.pm missing file warnings fatal on Firefox
[Checked in: Comment 16]

[Triage Comment]
No user impact, therefore no reason to uplift this build behavior change.
Comment 23 Takanori MATSUURA 2012-03-29 16:38:27 PDT
Backing out this bug fixes bug 737821.
Comment 24 Landry Breuil (:gaston) 2012-06-11 01:57:29 PDT
For a reason i dont understand this broke seamonkey 2.10 packaging, while it is targeted for  gecko 14/seamonkey 2.11.. investigating and filing followup bugs..

Note You need to log in before you can comment on or make changes to this bug.